Upload a release
curl --request POST \
--url https://api.example.com/api/projects/{projectId}/releases/multipart \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'files=<string>' \
--form 0.files.items='@example-file' \
--form 1.files.items='@example-file'import requests
url = "https://api.example.com/api/projects/{projectId}/releases/multipart"
files = {
"0.files.items": ("example-file", open("example-file", "rb")),
"1.files.items": ("example-file", open("example-file", "rb"))
}
payload = { "files": "<string>" }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('files', '<string>');
form.append('0.files.items', '{
"fileName": "example-file"
}');
form.append('1.files.items', '{
"fileName": "example-file"
}');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.example.com/api/projects/{projectId}/releases/multipart', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deletedAt": "<string>",
"name": "<string>",
"description": "<string>",
"version": 123,
"semanticVersion": "<string>",
"createdById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"commitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"meta": {
"bucket": "<string>",
"key": "<string>"
}
}Release
Upload a release
Upload a release package as a ZIP file containing decision documents.
POST
/
api
/
projects
/
{projectId}
/
releases
/
multipart
Upload a release
Authorizations
personalAccessTokeninternalAuth
Personal access token is obtained through your profile
Path Parameters
Project unique identifier
Body
multipart/form-data
List of ZIP files to be uploaded
ZIP file containing release documents
Response
200 - application/json
Created release information
Created release information
Release unique identifier
Release creation timestamp
Project ID the release belongs to
Release deletion timestamp
Release name
Release description
Legacy numeric version
Semantic version (e.g., 1.0.0)
Release status
Available options:
draft, published, completed ID of the user who created the release
Associated commit ID
Release storage metadata
Show child attributes
Show child attributes
Was this page helpful?
⌘I